Loading...
Searching...
No Matches
nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 > Struct Template Reference

`#include <variant.hpp>`

## Public Member Functions

| TypedVisitorUnwrapper (const Visitor &visitor_, T2 const &val2_, T3 const &val3_, T4 const &val4_, T5 const &val5_)
template<typename T >
R | operator() (const T &val1) const

## Public Attributes

const Visitor & | visitor
T2 const & | val2
T3 const & | val3
T4 const & | val4
T5 const & | val5

## Detailed Description

template<typename R, typename Visitor, typename T2, typename T3, typename T4, typename T5>
struct nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >

Definition at line 2349 of file variant.hpp.

## Constructor & Destructor Documentation

## TypedVisitorUnwrapper()

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::TypedVisitorUnwrapper | ( | const Visitor & | visitor_,
|  | T2 const & | val2_,
|  | T3 const & | val3_,
|  | T4 const & | val4_,
|  | T5 const & | val5_
| ) |  |

inline

Definition at line 2357 of file variant.hpp.

## Member Function Documentation

## operator()()

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >
template<typename T >

R nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::operator() | ( | const T & | val1 | ) | const

inline

Definition at line 2368 of file variant.hpp.

## Member Data Documentation

## val2

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

T2 const& nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::val2

Definition at line 2352 of file variant.hpp.

## val3

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

T3 const& nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::val3

Definition at line 2353 of file variant.hpp.

## val4

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

T4 const& nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::val4

Definition at line 2354 of file variant.hpp.

## val5

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

T5 const& nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::val5

Definition at line 2355 of file variant.hpp.

## visitor

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 , typename T5 >

const Visitor& nonstd::variants::detail::TypedVisitorUnwrapper< 5, R, Visitor, T2, T3, T4, T5 >::visitor

Definition at line 2351 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp